{pkgs, ...}: {
  # Enable Gamemode to boost games
  programs.gamemode = {
    enable = true;
    settings.general.renice = 10;
  };

  # Enable hardware like the Steam Controller
  hardware.steam-hardware.enable = true;

  # Enable the Steam client
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
    extraPackages = with pkgs; [
      steam-run heroic prismlauncher
    ];
    extraCompatPackages = with pkgs; [
      proton-ge-bin
    ];
  };
}
